Cantera 2.6.0

Classes | Namespaces | Functions
AnyMap.h File Reference
`#include "cantera/base/ct_defs.h"`
`#include "cantera/base/ctexceptions.h"`
`#include "cantera/base/Units.h"`
`#include <unordered_map>`
`#include <functional>`
`#include "cantera/base/AnyMap.inl.h"`
Include dependency graph for AnyMap.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | AnyBase
| Base class defining common data possessed by both AnyMap and AnyValue objects. More...
class | AnyValue
| A wrapper for a variable whose type is determined at runtime. More...
class | AnyMap
| A map of string keys to values whose type can vary at runtime. More...
class | AnyMap::Iterator
| Defined to allow use with range-based for loops. More...
class | AnyMap::OrderedProxy
| Proxy for iterating over an AnyMap in the defined output ordering. More...
class | AnyMap::OrderedIterator
| Defined to allow the OrderedProxy class to be used with range-based for loops. More...
class | InputFileError
| Error thrown for problems processing information contained in an AnyMap or AnyValue. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
Emitter & | operator<< (Emitter &out, const Cantera::AnyMap &rhs)
Emitter & | operator<< (Emitter &out, const Cantera::AnyValue &rhs)
AnyMap::Iterator | begin (const AnyValue &v)
AnyMap::Iterator | end (const AnyValue &v)
void | warn_deprecated (const std::string &source, const AnyBase &node, const std::string &message)
| A deprecation warning for syntax in an input file. More...